Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class SerialPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.SerialPeer

public class SerialPeer
extends java.lang.Object

Constructor Summary
`SerialPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `GetFirstName(int i, java.lang.String[] as)`
`static int` | `GetLastName(int i, java.lang.String[] as)`
`static int` | `GetLimited(int i, boolean[] aflag)`
`static int` | `GetMiddleName(int i, java.lang.String[] as)`
`static int` | `GetOrganization(int i, java.lang.String[] as)`
`static int` | `GetPublished(int i, boolean[] aflag)`
`static int` | `GetSerialNumber(int i, java.lang.String[] as)`
`static int` | `GetSerialNumberExpires(int i, int[] ai, boolean flag)`
`static int` | `GetSerialNumberOK(int i, boolean[] aflag)`
`static int` | `GetServerNumber(int i, java.lang.String[] as)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `Reset(int i)`
`static int` | `SetFirstName(int i, java.lang.String s)`
`static int` | `SetLastName(int i, java.lang.String s)`
`static int` | `SetMiddleName(int i, java.lang.String s)`
`static int` | `SetOrganization(int i, java.lang.String s)`
`static int` | `SetPublished(int i, boolean flag)`
`static int` | `SetSerialNumber(int i, java.lang.String s)`
`static int` | `SetServerNumber(int i, java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerialPeer

    public SerialPeer()

Method Detail

### GetFirstName

    public static int GetFirstName(int i,
                                   java.lang.String[] as)

### GetLastName

    public static int GetLastName(int i,
                                  java.lang.String[] as)

### GetLimited

    public static int GetLimited(int i,
                                 boolean[] aflag)

### GetMiddleName

    public static int GetMiddleName(int i,
                                    java.lang.String[] as)

### GetOrganization

    public static int GetOrganization(int i,
                                      java.lang.String[] as)

### GetPublished

    public static int GetPublished(int i,
                                   boolean[] aflag)

### GetSerialNumber

    public static int GetSerialNumber(int i,
                                      java.lang.String[] as)

### GetSerialNumberExpires

    public static int GetSerialNumberExpires(int i,
                                             int[] ai,
                                             boolean flag)

### GetSerialNumberOK

    public static int GetSerialNumberOK(int i,
                                        boolean[] aflag)

### GetServerNumber

    public static int GetServerNumber(int i,
                                      java.lang.String[] as)

### New

    public static int New()

### Release

    public static int Release(int i)

### Reset

    public static int Reset(int i)

### SetFirstName

    public static int SetFirstName(int i,
                                   java.lang.String s)

### SetLastName

    public static int SetLastName(int i,
                                  java.lang.String s)

### SetMiddleName

    public static int SetMiddleName(int i,
                                    java.lang.String s)

### SetOrganization

    public static int SetOrganization(int i,
                                      java.lang.String s)

### SetPublished

    public static int SetPublished(int i,
                                   boolean flag)

### SetSerialNumber

    public static int SetSerialNumber(int i,
                                      java.lang.String s)

### SetServerNumber

    public static int SetServerNumber(int i,
                                      java.lang.String s)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD